# Code to solve equations and produce figures in "Tipping-point in ice-sheet grounding-zone melting due to ocean water intrusion" by Bradley and Hewitt. 

Figures 2-4 of the main text and supplementary figures 2-10 can be generated by downloading the repository and running the appropriate ("make_figureX.m" or "make_supfigX.m") file. For the main text figures, these figures are produced by loading data contained in the ./data-for-figures folder, making it quick and easy to reproduce the figures in the paper. The .mat files contained in the ./data-for-figures folder can be produced by running the appropriate generate data script ("generate_data_figureX.m"). Note that these scripts take a long time to run, particularly those sampling large parts of parameter space (figure 4).

Processed data for individual Antarctic ice shelves are contained in the ./data-for-figures/shelves folder. To create these files, you must first download the circum Antarctic data, held at https://zenodo.org/records/10091326.

Functions used to solve both the time-dependent and steady forms of the channel equations are contained in the ./functions folder. It is essential that this folder is on your MATLAB path when runnign the "generate_data_figureX.m" scripts (this should happen automatically, but will likely be the first problem ran into if the scripts fail to run).

We are more than happy to help with anybody with any problems with this code, please get in touch (aleey [at] bas [dot] ac [dot] uk) or raise an issue.


